## xiphos 4.0.7.1

=== debian/changelog ===
xiphos (4.0.7.1-4) unstable; urgency=high

  * switch configure from webkitgtk to webkit2gtk
  * patch upstream source for webkit2

 -- Teus Benschop <teusjannette@gmail.com>  Sun, 28 Oct 2018 07:12:08 +0100

xiphos (4.0.7.1-3) unstable; urgency=high

  * no longer build-depend on libwebkitgtk-3.0-dev

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 26 Oct 2018 20:24:50 +0200

xiphos (4.0.7.1-2) unstable; urgency=high

  [ Jeremy Bicha ]
  * Add build-without-scrollkeeper.patch
  * Drop obsolete Build-Depends on rarian-compat

 -- Teus Benschop <teusjannette@gmail.com>  Thu, 25 Oct 2018 11:25:12 +0200

xiphos (4.0.7.1-1) unstable; urgency=high

  * debian/control: Updated Build-Depends

 -- Teus Benschop <teusjannette@gmail.com>  Tue, 09 Oct 2018 19:33:51 +0200

xiphos (4.0.7+dfsg1-3) unstable; urgency=medium

  * debian/control: Updated maintainer email: Closes: #899795
  * debian/control: Updated Vcs-* for Salsa

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 05 Oct 2018 20:19:10 +0200

xiphos (4.0.7+dfsg1-2) unstable; urgency=low

  * new upstream release
  * d/control: add uploader
  * d/control: update build dependencies
  * d/source/lintian-overrides: add override
  * d/control: update standards version
  * d/debian/xiphos.lintian-overrides: add override

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 27 Oct 2017 12:00:00 +0200
