=== debian/control ===
Source: xiphos
Section: gnome
Priority: optional
Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
Uploaders: Daniel Glassey <wdg@debian.org>,
           Dimitri John Ledkov <xnox@debian.org>,
           Dominique Corbex <dominique@corbex.org>,
           Jonathan Marsden <jmarsden@fastmail.fm>,
           Unit 193 <unit193@ubuntu.com>,
           Teus Benschop <teusjannette@gmail.com>
Build-Depends: debhelper (>= 10),
               xsltproc,
               gnome-doc-utils,
               intltool,
               libbiblesync-dev,
               libdbus-glib-1-dev,
               libgconf2-dev,
               libgsf-1-dev,
               libgtk-3-dev,
               libsword-dev (>= 1.7.3),
               libwebkit2gtk-4.0-dev,
               libxml2-dev,
               uuid-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/pkg-crosswire-team/xiphos
Vcs-Git: https://salsa.debian.org/pkg-crosswire-team/xiphos.git
Homepage: http://xiphos.org

Package: xiphos
Architecture: any
Depends: xiphos-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: xiphos-data (<< 4.0.5+dfsg1-1~)
Replaces: xiphos-data (<< 4.0.5+dfsg1-1~)
Conflicts: xiphos-svn
Provides: sword-frontend
Suggests: sword-text
Description: environment for Bible reading, study, and research
 Xiphos is a Bible study program for the GNOME desktop environment, based on The
 SWORD Project by the CrossWire Bible Society, a framework for developing Bible
 study tools and of associated texts such as commentaries and dictionaries.
 .
 This package provides the main Xiphos program, a digital text reader with
 bookmarks and full-text search. It allows viewing multiple versions of the same
 text, for parallel reading of alternatives or translations. It also supports
 personal verse-specific notes and a rich-text study pad, both of which have
 spell checking and full-text search.
 .
 Xiphos has a built-in facility to browse and install freely-distributed content
 from CrossWire repositories.

Package: xiphos-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: xiphos-svn
Suggests: xiphos
Description: data files for Xiphos Bible study software
 Xiphos is a Bible study program for the GNOME desktop environment, based on The
 SWORD Project by the CrossWire Bible Society, a framework for developing Bible
 study tools and of associated texts such as commentaries and dictionaries.
 .
 This package contains the data files that are necessary to use Xiphos.
