## xiphos 4.1.0+dfsg

=== debian/changelog ===
xiphos (4.1.0+dfsg-1build1) disco; urgency=medium

  * No-change rebuild for icu soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Nov 2018 08:04:54 +0000

xiphos (4.1.0+dfsg-1) experimental; urgency=high

  [ Teus Benschop ]
  * d/control: depends on libsword 1.8.1-6 or higher
  * d/patches: update applied patches
  * d/patches: disable webkit editor again

  [ Daniel Glassey ]
  * d/compat,control: update to debhelper 11
  * fix repack-waf for unstable

  [ Teus Benschop ]
  * d/watch d/dfsg.sh:fix dfsg creator
  * New upstream version 4.1.0+dfsg

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 09 Nov 2018 20:00:24 +0100

xiphos (4.0.7.1-5) unstable; urgency=high

  * dh_missing fail on missing: more robust
  * list source files not packaged

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 02 Nov 2018 14:20:31 +0100
