=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            Jonathan Marsden <jmarsden@fastmail.fm>,
            Unit 193 <unit193@ubuntu.com>,
            Teus Benschop <teusjannette@gmail.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                xsltproc,
                gnome-doc-utils,
                intltool,
@@ -17,7 +17,7 @@
                libgconf2-dev,
                libgsf-1-dev,
                libgtk-3-dev,
-               libsword-dev (>= 1.7.3),
+               libsword-dev (>= 1.8.1-6),
                libwebkit2gtk-4.0-dev,
                libxml2-dev,
                uuid-dev
