## xiphos 4.1.0+dfsg1

=== debian/changelog ===
xiphos (4.1.0+dfsg1-1) unstable; urgency=medium

  [ Teus Benschop ]
  * restore repack-waf fixed by Daniel

  [ Daniel Glassey ]
  * should run on testing once it gets in, Closes: #913070
  * d/control: build depend on libsword 1.8.1+dfsg-8
  * regenerate dfsg1 source using repack-waf and import

 -- Daniel Glassey <wdg@debian.org>  Tue, 13 Nov 2018 10:31:54 +0700
