=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libgconf2-dev,
                libgsf-1-dev,
                libgtk-3-dev,
-               libsword-dev (>= 1.8.1-6),
+               libsword-dev (>= 1.8.1+dfsg-8),
                libwebkit2gtk-4.0-dev,
                libxml2-dev,
                uuid-dev
