=== debian/changelog ===
xiphos (4.1.0.1+dfsg1-1) unstable; urgency=medium

  * fix hash size mismatch on upload
  * thanks to Yavor Doganov for the gconf patch: Closes: #912807

 -- Teus Benschop <teusjannette@gmail.com>  Mon, 03 Dec 2018 15:43:40 +0100

xiphos (4.1.0+dfsg1-3) unstable; urgency=high

  * thanks to Yavor Doganov for the gconf patch: Closes: #912807
  * d/control: drop dependency libgconf2
  * d/patches: remove gconf-2 from source

 -- Teus Benschop <teusjannette@gmail.com>  Sat, 17 Nov 2018 18:12:02 +0100

xiphos (4.1.0+dfsg1-2) unstable; urgency=medium

  * d/patches: reorganize

 -- Teus Benschop <teusjannette@gmail.com>  Sat, 17 Nov 2018 16:42:43 +0100
