=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                intltool,
                libbiblesync-dev,
                libdbus-glib-1-dev,
-               libgconf2-dev,
                libgsf-1-dev,
                libgtk-3-dev,
                libsword-dev (>= 1.8.1+dfsg-8),
