=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	dh_installchangelogs ChangeLog
 
 override_dh_missing:
-	dh_missing --list-missing
+	dh_missing --fail-missing
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='xiphos-dbg (<< 4.0.5+dfsg1-1~)'
