=== debian/watch ===
version=3
# No repacksuffix is specified because it's handled by debian/repack-waf.
# See <https://wiki.debian.org/UnpackWaf>.
opts=dversionmangle=s/\+dfsg\d+$// \
https://github.com/crosswire/xiphos/releases/ .*/xiphos-([\d\.]+)(?:-[\d]+)?\.tar\.gz debian debian/repack-waf
